Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
stores
Create Store
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/stores \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "store_id": "S312"
}
'
{
  "store_id": "S312",
  "id": "<string>",
  "created_at": "<string>",
  "created_by": "<string>",
  "updated_at": "<string>",
  "updated_by": "<string>",
  "status": "DELETED",
  "verified": true,
  "number_of_terminals": 123,
  "organization": {
    "organization_number": "<string>",
    "country": "NO",
    "type": "main_unit",
    "name": "<string>",
    "trade_name": "<string>"
  },
  "store_name": "<string>",
  "email": "jsmith@example.com",
  "phone_number": "+4799999999",
  "address": {
    "address_line": "Sommerkroveien 34",
    "postal_place": "Oslo",
    "country": "NO",
    "address_line_2": "PB 123",
    "postal_code": "0349"
  },
  "coordinates": {
    "latitude": 59.949923,
    "longitude": 10.766888
  },
  "website": "<string>",
  "payout_destination": {
    "payout_destination_id": "PD032",
    "status": "ACTIVE",
    "type": "company",
    "merchant_category_code": "2741"
  },
  "operator_payout_destinations": [
    {
      "payout_destination_id": "<string>",
      "status": "ACTIVE",
      "type": "company",
      "organization_number": "<string>",
      "name": "<string>",
      "trade_name": "<string>",
      "merchant_category_code": "2741"
    }
  ],
  "terminals": [
    {
      "terminal_id": "T312",
      "device_serial_number": "181f1a3e-b81b-4460-a01b-2a3be2a253a1",
      "status": "DELETED"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
store_id
string
required
Maximum string length: 20
Example:

"S312"

organization
object

The organization for the store

store_name
string
email
string<email>
phone_number
string<E.164>

A phone number in E.164 format

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+4799999999"

address
object
coordinates
object

The coordinates of the store

website
string
payout_destination
object

The payout destination associated with this store.

A store with a payout destination will get all its properties (address, phone_number +++) set by validated data so you will not be allowed to set custom address when payout destination is set

The organization_number must match the organization number of the payout destination

These exceptions do not apply to payout destination's sub-units where different sub-unit organization_number is allowed and the details will be set by what is available in the public registers.

Response

Store

store_id
string
required
Maximum string length: 20
Example:

"S312"

id
string
required
created_at
string
required
created_by
string
required
updated_at
string
required
updated_by
string
required
status
enum<string>
required
Available options:
DELETED,
ACTIVE,
SUSPENDED
verified
boolean
required

The store data have been verified

number_of_terminals
integer
required

Number of terminals associated with a store

organization
object

The organization for the store

store_name
string
email
string<email>
phone_number
string<E.164>

A phone number in E.164 format

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+4799999999"

address
object
coordinates
object

The coordinates of the store

website
string
payout_destination
object

The payout destination associated with this store.

A store with a payout destination will get all its properties (address, phone_number +++) set by validated data so you will not be allowed to set custom address when payout destination is set

The organization_number must match the organization number of the payout destination

These exceptions do not apply to payout destination's sub-units where different sub-unit organization_number is allowed and the details will be set by what is available in the public registers.

operator_payout_destinations
object[]

Operator destinations associated with this store. Included when includes=operator_payout_destinations is used.

terminals
object[]

Terminals associated with this store.